Foxit PDF SDK

Instance Methods | List of all members
FSMarkedContent Class Reference

Inherits NSObject.

## Instance Methods
(int) | - addItem:property_dict:
| Add a new marked content item. More...
(int) | - getItemCount
| Get the count of marked content items. More...
(int) | - getItemMCID:
| Get marked-content identifier (MCID) of a marked content item specified by index. More...
(FSPDFDictionary *) | - getItemPropertyDict:
| Get the property dictionary of a marked content item specified by index. More...
(NSString *) | - getItemTagName:
| Get the tag name of a marked content item specified by index. More...
(BOOL) | - hasTag:
| Check whether current marked content object has a specified marked content item or not. More...
(BOOL) | - removeItem:
| Remove a marked content item by tag name. More...

## Detailed Description

Marked-content operators (PDF 1.2) identify a portion of a PDF content stream as a marked-content element of interest to a particular application or PDF plug-in extension. For more details, please refer to Section 10.5 "Marked Content" in <PDF Reference 1.7>.
To get a marked content object, please use function FSGraphicsObject::getMarkedContent.

See also
  FSGraphicsObject

## Method Documentation

## ◆ addItem:property_dict:()

- (int) addItem: |  | (NSString *) | tag_name
property_dict: |  | (FSPDFDictionary*) | property_dict

Add a new marked content item.

Parameters

  [in] | tag_name | New tag name. It should not be an empty string. If parameter tag_name exists in current marked content object, it cannot be added to current marked content object again.
  [in] | property_dict | A property dictionary. Default value: nil. nil means the new marked content item will not have a property dictionary. If this dictionary is newly created and not set to other object yet, user should release this dictionary object after calling this function.

Returns
  The index of the newly added marked content item. If there is any error, this function will return -1.

## ◆ getItemCount()

- (int) getItemCount |  |  |

Get the count of marked content items.

A marked content object may be nested one within another, and this function is used to get the count of marked content items in the current marked content sequence.

Returns
  The count of marked content items.

## ◆ getItemMCID:()

- (int) getItemMCID: |  | (int) | index |

Get marked-content identifier (MCID) of a marked content item specified by index.

Parameters

  [in] | index | Item index. Valid range: from 0 to (count-1). count is returned by function FSMarkedContent::getItemCount.

Returns
  The MCID value. A negative number means that the specified marked content item does not have a MCID.

## ◆ getItemPropertyDict:()

- (FSPDFDictionary *) getItemPropertyDict: |  | (int) | index |

Get the property dictionary of a marked content item specified by index.

Parameters

  [in] | index | Item index. Valid range: from 0 to (count-1). count is returned by function FSMarkedContent::getItemCount.

Returns
  The property dictionary. nil means no property dictionary.

## ◆ getItemTagName:()

- (NSString *) getItemTagName: |  | (int) | index |

Get the tag name of a marked content item specified by index.

A marked content object may be nested one within another, and this function is used to get the count of marked content items in the current marked content sequence.

Parameters

  [in] | index | Item index. Valid range: from 0 to (count-1). count is returned by function FSMarkedContent::getItemCount.

Returns
  The tag name.

## ◆ hasTag:()

- (BOOL) hasTag: |  | (NSString *) | tag_name |

Check whether current marked content object has a specified marked content item or not.

Parameters

  [in] | tag_name | The tag name to be checked.

Returns
  YES means current marked content object has the specified marked content item. NO means current marked content object does not have the specified marked content item.

## ◆ removeItem:()

- (BOOL) removeItem: |  | (NSString *) | tag_name |

Remove a marked content item by tag name.

Parameters

  [in] | tag_name | Tag name. It should not be an empty string.

Returns
  YES means success, while NO means failure.